## ros-kinetic-naoqi-libqi 2.5.0

=== CMakeLists.txt ===
## Copyright (c) 2012, 2013, 2014 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(naoqi_libqi)
find_package(catkin)

catkin_package(CFG_EXTRAS libqi-extras.cmake
   INCLUDE_DIRS ./
   LIBRARIES qi
)

include(CheckSymbolExists)
check_symbol_exists(_SC_HOST_NAME_MAX "unistd.h" HAVE_SC_HOST_NAME_MAX)
set_source_files_properties(src/os_posix.cpp
  PROPERTIES
    COMPILE_DEFINITIONS HAVE_SC_HOST_NAME_MAX)

# We always want boost filesystem v3
add_definitions("-DBOOST_FILESYSTEM_VERSION=3")
add_definitions("-DBOOST_ASIO_DISABLE_STD_CHRONO")

if(MSVC)
  add_definitions(" -DWIN32_LEAN_AND_MEAN ")
endif()

if (WIN32)
  add_definitions(" -D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DWIN32_LEAN_AND_MEAN")
endif()

if (UNIX)
 add_definitions(" -fno-strict-aliasing ")
endif()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
endif()

if (WITH_SSL)
 add_definitions(" -DWITH_SSL ")
 set(_ssldeps "OPENSSL")
else()
 set(_ssldeps "")
endif()

# Remove this line to use QT if usable
set(WITH_QT5_CORE OFF)

if(WITH_BOOST_LOCALE)
  add_definitions(" -DWITH_BOOST_LOCALE ")
endif()

enable_testing()
include(CMakeDependentOption)

if (WITH_PROBES)
  find_package(qiprobes)
  qiprobes_create_probe(tp_qi
    src/tp_qi.in.h
    PROVIDER_NAME qi_qi)
  qiprobes_instrument_files(tp_qi
    src/eventloop.cpp)
  set(_tp_qi "tp_qi")
else()
  set(_tp_qi "")
endif()

set(QI_H qi/detail/clock.hxx
         qi/detail/eventloop.hxx
         qi/detail/future.hxx
         qi/detail/future_fwd.hpp
         qi/detail/futurebarrier.hpp
         qi/detail/executioncontext.hpp
         qi/detail/mpl.hpp
         qi/detail/log.hxx
         qi/detail/mpl.hpp
         qi/detail/trackable.hxx
         qi/detail/warn_push_ignore_deprecated.hpp
         qi/detail/warn_pop_ignore_deprecated.hpp
         qi/api.hpp
         qi/application.hpp
         qi/actor.hpp
         qi/atomic.hpp
         qi/buffer.hpp
         qi/clock.hpp
         qi/future.hpp
         qi/futuregroup.hpp
         qi/log/consoleloghandler.hpp
         qi/log/csvloghandler.hpp
         qi/log/fileloghandler.hpp
         qi/log/headfileloghandler.hpp
         qi/log/tailfileloghandler.hpp
         qi/log.hpp
         qi/macro.hpp
         qi/os.hpp
         qi/getenv.hpp
         qi/preproc.hpp
         qi/qi.hpp
         qi/types.hpp
         qi/path.hpp
         qi/periodictask.hpp
         qi/qi.hpp
         qi/stats.hpp
         qi/trackable.hpp
         qi/translator.hpp
         qi/eventloop.hpp
         qi/version.hpp
         qi/iocolor.hpp
         qi/strand.hpp)

set(QI_C src/dlfcn.cpp
         src/path.cpp
         src/application.cpp
         src/buffer.cpp
         src/buffer_p.hpp
         src/bufferreader.cpp
         src/clock.cpp
         src/sdklayout.hpp
         src/future.cpp
         src/log.cpp
         src/log_p.hpp
         src/consoleloghandler.cpp
         src/fileloghandler.cpp
         src/csvloghandler.cpp
         src/headfileloghandler.cpp
         src/tailfileloghandler.cpp
         src/locale-light.cpp
         src/os.cpp
         src/path_conf.cpp
         src/path_conf.hpp
         src/periodictask.cpp
         src/utils.hpp
         src/utils.cpp
         src/eventloop.cpp
         src/eventloop_p.hpp
         src/sdklayout-boost.cpp
         src/version.cpp
         src/iocolor.cpp
         src/strand.cpp)

set(QITYPE_H       qi/anyfunction.hpp
                   qi/anyobject.hpp
                   qi/signature.hpp
                   qi/property.hpp
                   qi/signal.hpp
                   qi/signalspy.hpp
                   qi/anyvalue.hpp
                   qi/anymodule.hpp

                   qi/type/detail/signal.hxx
                   qi/type/detail/property.hxx
                   qi/type/detail/accessor.hxx
                   qi/type/detail/anyreference.hpp
                   qi/type/detail/anyreference.hxx
                   qi/type/detail/anyvalue.hpp
                   qi/type/detail/anyvalue.hxx
                   qi/type/detail/anyfunction.hxx
                   qi/type/detail/anyfunctionfactory.hxx
                   qi/type/detail/anyiterator.hpp
                   qi/type/detail/anyiterator.hxx
                   qi/type/detail/bindtype.hxx
                   qi/type/detail/functionsignature.hxx
                   qi/type/detail/futureadapter.hxx
                   qi/type/detail/futureadapter.hpp
                   qi/type/detail/dynamicobjectbuilder.hxx
                   qi/type/detail/genericobject.hpp
                   qi/type/detail/object.hxx
                   qi/type/detail/proxyregister.hpp
                   qi/type/detail/hasless.hxx
                   qi/type/detail/objecttypebuilder.hxx
                   qi/type/detail/type.hxx
                   qi/type/detail/buffertypeinterface.hxx
                   qi/type/detail/typedispatcher.hxx
                   qi/type/detail/dynamictypeinterface.hxx
                   qi/type/detail/typeimpl.hxx
                   qi/type/detail/typeinterface.hpp
                   qi/type/detail/inttypeinterface.hxx
                   qi/type/detail/listtypeinterface.hxx
                   qi/type/detail/maptypeinterface.hxx
                   qi/type/detail/pointertypeinterface.hxx
                   qi/type/detail/staticobjecttype.hpp
                   qi/type/detail/stringtypeinterface.hxx
                   qi/type/detail/structtypeinterface.hxx
                   qi/type/detail/type.hpp
                   qi/type/detail/manageable.hpp
                   qi/type/detail/traceanalyzer.hpp

                   qi/api.hpp
                   qi/binarycodec.hpp
                   qi/type/dynamicobject.hpp
                   qi/type/dynamicobjectbuilder.hpp
                   qi/type/fwd.hpp
                   qi/jsoncodec.hpp
                   qi/type/metamethod.hpp
                   qi/type/metaobject.hpp
                   qi/type/metaproperty.hpp
                   qi/type/metasignal.hpp
                   qi/type/objecttypebuilder.hpp
                   qi/type/proxyproperty.hpp
                   qi/type/proxysignal.hpp
                   qi/type/typeinterface.hpp
                   qi/type/typeobject.hpp
                   qi/type/typedispatcher.hpp)



set(QITYPE_C src/type/binarycodec.cpp
             src/type/binarycodec_p.hpp
             src/type/dynamicobject.cpp
             src/type/dynamicobjectbuilder.cpp
             src/type/anyfunction.cpp
             src/type/anyreference.cpp
             src/type/anyvalue.cpp
             src/type/anyobject.cpp
             src/type/genericobject.cpp
             src/type/jsoncodec_p.hpp
             src/type/jsondecoder.cpp
             src/type/jsonencoder.cpp
             src/type/manageable.cpp
             src/type/metamethod.cpp
             src/type/metaproperty.cpp
             src/type/metasignal.cpp
             src/type/metasignal_p.cpp
             src/type/metasignal_p.hpp
             src/type/metaobject.cpp
             src/type/metaobject_p.hpp
             src/type/anymodule.cpp
             src/type/objecttypebuilder.cpp
             src/type/signal.cpp
             src/type/signal_p.hpp
             src/type/signatureconvertor.cpp
             src/type/signatureconvertor.hpp
             src/type/staticobjecttype.cpp
             src/type/typeinterface.cpp
             src/type/structtypeinterface.cpp
             src/type/type.cpp
             src/type/signature.cpp
             src/type/traceanalyzer.cpp
             )


set(QIM_H qi/api.hpp
          qi/messaging/authprovider.hpp
          qi/messaging/authproviderfactory.hpp
          qi/messaging/autoservice.hpp
          qi/messaging/clientauthenticator.hpp
          qi/messaging/clientauthenticatorfactory.hpp
          qi/messaging/detail/autoservice.hxx
          qi/messaging/gateway.hpp
          qi/messaging/serviceinfo.hpp
          qi/applicationsession.hpp
          qi/session.hpp
          qi/url.hpp
)

set(QIM_C src/messaging/applicationsession.cpp
          src/messaging/authprovider_p.hpp
          src/messaging/authprovider.cpp
          src/messaging/boundobject.cpp
          src/messaging/boundobject.hpp
          src/messaging/clientauthenticator_p.hpp
          src/messaging/clientauthenticator.cpp
          src/messaging/gateway_p.hpp
          src/messaging/gateway.cpp
          src/messaging/gwsdclient.hpp
          src/messaging/gwsdclient.cpp
          src/messaging/gwobjecthost.hpp
          src/messaging/gwobjecthost.cpp
          src/messaging/message.hpp
          src/messaging/message.cpp
          src/messaging/messagedispatcher.hpp
          src/messaging/messagedispatcher.cpp
          src/messaging/objecthost.hpp
          src/messaging/objecthost.cpp
          src/messaging/objectregistrar.hpp
          src/messaging/objectregistrar.cpp
          src/messaging/remoteobject.cpp
          src/messaging/remoteobject_p.hpp
          src/messaging/servicedirectory.cpp
          src/messaging/servicedirectory.hpp
          src/messaging/servicedirectoryclient.hpp
          src/messaging/servicedirectoryclient.cpp
          src/messaging/serviceinfo.cpp
          src/messaging/session.cpp
          src/messaging/session_p.hpp
          src/messaging/sessionservice.hpp
          src/messaging/sessionservice.cpp
          src/messaging/sessionservices.hpp
          src/messaging/sessionservices.cpp
          src/messaging/server.hpp
          src/messaging/server.cpp
          src/messaging/streamcontext.hpp
          src/messaging/streamcontext.cpp
          src/messaging/transportserver.hpp
          src/messaging/transportserver.cpp
          src/messaging/transportserverasio_p.cpp
          src/messaging/transportserverasio_p.hpp
          src/messaging/transportsocket.hpp
          src/messaging/transportsocket.cpp
          src/messaging/transportsocketcache.cpp
          src/messaging/transportsocketcache.hpp
          src/messaging/tcptransportsocket.cpp
          src/messaging/tcptransportsocket.hpp
          src/messaging/url.cpp
          src/registration.cpp
          )

set(QIPERF_H
  qi/perf/dataperfsuite.hpp
  qi/perf/detail/dataperfsuite.hxx
  qi/perf/dataperf.hpp
  qi/perf/measure.hpp
)

set(QIPERF_C
  src/perf/dataperfsuite_p.hpp
  src/perf/dataperf_p.hpp
  src/perf/dataperfsuite.cpp
  src/perf/dataperf.cpp
  src/perf/measure.cpp
)

configure_file(qi/config.hpp.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi/config.hpp)
include_directories(${CATKIN_DEVEL_PREFIX}/include)

if(WITH_BOOST_LOCALE)
  list(APPEND QI_H qi/translator.hpp)
  list(APPEND QI_C src/translator.cpp)
endif()

install(DIRECTORY qi DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi/config.hpp DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi)

if (WIN32)
  list(APPEND QI_C
    src/os_launch_win32.cpp
    src/os_win32.cpp
    src/os_debugger_win32.cpp
  )
else()
  list(APPEND QI_C
    src/os_posix.cpp
    src/os_debugger_posix.cpp
  )
  if(ANDROID)
    list(APPEND QI_C src/os_launch_android.cpp)
  else()
    list(APPEND QI_C src/os_launch_posix.cpp)
  endif()
endif()

#normalize BUILD_SHARED_LIBS, default ON
if (NOT DEFINED BUILD_SHARED_LIBS)
  set(BUILD_SHARED_LIBS ON)
endif()

# Set qi_STATIC_BUILD  used in config.hpp.in
set(qi_STATIC_BUILD OFF)
if (NOT BUILD_SHARED_LIBS) #lol
  set(qi_STATIC_BUILD ON)
endif()

# Convert ON/OFF to SHARED/STATIC for create_lib argument
set(_qilibtype)
if (BUILD_SHARED_LIBS OR ANDROID)
  set(_qilibtype SHARED)
else()
  set(_qilibtype STATIC)
endif()


include_directories("${CMAKE_CURRENT_SOURCE_DIR}")

include(qimodule-config.cmake)

add_library(qi SHARED

=== libqipamauth/CMakeLists.txt ===
## Copyright (c) 2012, 2013, 2014, 2015 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(LibQiPamAuth)
find_package(qibuild)
qi_sanitize_compile_flags(HIDDEN_SYMBOLS)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
endif()

set(PAMAUTH_SRC pamclientauthenticator.hpp
          pamclientauthenticator.cpp
          pamauthapi.hpp)

qi_add_optional_package(PAM)

if (NOT WIN32 AND WITH_PAM)
  set(PAMAUTH_SRC ${PAMAUTH_SRC}
          pamauthprovider.hpp
          pamauthprovider.cpp)
endif()

qi_create_lib(qipamauth SHARED
          ${PAMAUTH_SRC}
          DEPENDS QI)

if (NOT WIN32 AND WITH_PAM)
  qi_use_lib(qipamauth PAM)
endif()

=== tests/CMakeLists.txt ===
# we still have tests about deprecated stuff, we don't want warnings about that
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
endif()

add_subdirectory("qi")
add_subdirectory("type")
add_subdirectory("messaging")

=== bin/perfs/CMakeLists.txt ===
##
## Author(s):
##  - Cedric GESTES <gestes@aldebaran-robotics.com>
##  - Nicolas Cornu <ncornu@aldebaran-robotics.com>
##
## Copyright (C) 2010, 2011, 2012 Aldebaran Robotics
##

qi_create_perf_test(perf_transport perf_transport.cpp
  DEPENDS
    QI BOOST_PROGRAM_OPTIONS)

  #qi_create_perf_test(perf_transport_thd perf_transport_thd.cpp
  #  DEPENDS
  #    QI QIPERF BOOST_PROGRAM_OPTIONS)

#qi_create_gtest(perf_maps    SRC perf_maps.cpp    DEPENDS QI GTEST TIMEOUT 120)
#add_subdirectory(messaging)
#qi_create_gtest(perf_functor SRC perf_functor.cpp DEPENDS QI GTEST TIMEOUT 120)
#qi_create_bin(perf_type            SRC dataperftimer.* perf_type.cpp            DEPENDS QI BOOST_SIGNALS NO_INSTALL )
#qi_create_bin(perf_pool            SRC dataperftimer.* perf_pool.cpp            DEPENDS QI NO_INSTALL)
#qi_create_bin(perf_transport_event SRC dataperftimer.* perf_transport_event.cpp DEPENDS QI NO_INSTALL)

#qi_create_perf_test(perf_qi_signal_direct perf_qi_signal_direct.cpp
#  DEPENDS
#    QI QIPERF BOOST_PROGRAM_OPTIONS)

# qi_create_perf_test(perf_qi_signal_queued perf_qi_signal_queued.cpp
#   DEPENDS
#     QI QIPERF BOOST_PROGRAM_OPTIONS
#     ARGUMENTS "--backend=codespeed")

qi_create_perf_test(perf_boost_signal perf_boost_signal.cpp
  DEPENDS
    QI BOOST_PROGRAM_OPTIONS BOOST_SIGNALS)

qi_create_perf_test(perf_boost_function perf_boost_function.cpp
  DEPENDS
    QI BOOST_PROGRAM_OPTIONS)

qi_create_perf_test(perf_function perf_function.cpp
  DEPENDS
    QI BOOST_PROGRAM_OPTIONS)

qi_create_perf_test(perf_create_service perf_create_service.cpp
  DEPENDS
    QI BOOST_PROGRAM_OPTIONS)
qi_create_perf_test(perf_event perf_event.cpp
  DEPENDS
    QI BOOST_THREAD TESTSESSION)

=== examples/perf/CMakeLists.txt ===
##
## Author(s):
##  - Nicolas Cornu <ncornu@aldebaran-robotics.com>
##
## Copyright (C) 2012 Aldebaran Robotics
##

qi_create_perf_test(example_qiperf example_qiperf.cpp
  DEPENDS
    QI QIPERF BOOST_PROGRAM_OPTIONS)

=== tests/perf/CMakeLists.txt ===
qi_create_gtest(test_dataperf         SRC test_dataperf.cpp       DEPENDS QI QIPERF GTEST TIMEOUT 10)
qi_create_gtest(test_measure          SRC test_measure.cpp        DEPENDS QI QIPERF GTEST TIMEOUT 10)

=== tests/type/CMakeLists.txt ===

qi_create_gtest(test_value            SRC test_value.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_event            SRC test_event.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_object           SRC test_object.cpp           DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_signature        SRC test_signature.cpp        DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_object_eventloop SRC test_object_eventloop.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_signal           SRC test_signal.cpp           DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_property         SRC test_property.cpp         DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_json             SRC test_json.cpp             DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_clocktype        SRC test_clocktype.cpp        DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_anymodule        SRC test_anymodule.cpp        DEPENDS QI GTEST TIMEOUT 30)

qi_create_module(qi_test_anymodule    SRC cat.hpp qi_test_anymodule.cpp SHARED DEPENDS QI NO_INSTALL)
install(TARGETS qi_test_anymodule DESTINATION lib COMPONENT test)

=== tests/messaging/libtestsession/CMakeLists.txt ===
##
## Author(s):
##  - Pierre ROULLON        <proullon@aldebaran-robotics.com>
##
## Copyright (C) 2012 Aldebaran Robotics
##

include_directories(".")

function(qimessaging_create_session_test name)
  if (DEFINED BUILD_TESTS AND NOT BUILD_TESTS)
    return()
  endif()
  cmake_parse_arguments(ARG "" "TIMEOUT" "ARGUMENTS;SRC;DEPENDS" ${ARGN})

  MATH( EXPR ARG_TIMEOUT_SSL "${ARG_TIMEOUT} * 2" )

  qi_create_gtest(${name} SRC ${ARG_SRC} DEPENDS ${ARG_DEPENDS} NO_ADD_TEST)
  qi_add_test(${name}_direct ${name} ARGUMENTS --mode=direct ${ARG_ARGUMENTS} TIMEOUT ${ARG_TIMEOUT})
# qi_add_test(${name}_nightmare ${name} ARGUMENTS --mode=nightmare ${ARG_ARGUMENTS} TIMEOUT ${ARG_TIMEOUT})
  qi_add_test(${name}_sd ${name} ARGUMENTS --mode=sd ${ARG_ARGUMENTS} TIMEOUT ${ARG_TIMEOUT})
  qi_add_test(${name}_gateway ${name} ARGUMENTS --mode=gateway ${ARG_ARGUMENTS} TIMEOUT ${ARG_TIMEOUT})
  if (WITH_SSL)
  qi_add_test(${name}_ssl ${name} ARGUMENTS --mode=ssl ${ARG_ARGUMENTS} TIMEOUT ${ARG_TIMEOUT_SSL})
  endif()
endfunction()

qi_create_lib(testsession STATIC NO_INSTALL
              src/testmode.cpp
              src/testsessionpair.cpp
              src/testsession.cpp
              src/testsession_p.hpp
              src/testsession_p.cpp
              src/testsessionerror.cpp
              src/trafficgenerator.hpp
              src/trafficgenerator.cpp
              src/populationgenerator.cpp
              src/populationgenerator.cpp
              src/sessioninitializer.hpp
              src/sessioninitializer.cpp
              src/defaultservice.hpp
              src/defaultservice.cpp
              DEPENDS QI
)

qi_stage_lib(testsession)

=== debian/changelog ===
ros-kinetic-naoqi-libqi (2.5.0-3xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 20 May 2016 15:13:15 -0000

=== debian/control ===
Source: ros-kinetic-naoqi-libqi
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael.arguedas@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin
Homepage: http://doc.aldebaran.com/libqi
Standards-Version: 3.9.2

Package: ros-kinetic-naoqi-libqi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Aldebaran's libqi: a core library for NAOqiOS development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-naoqi-libqi//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
